{ config, pkgs, ... }:
{
	services.nextcloud = {
		enable = true;
		hostName = "cloud.graven.dev";
		https = true;
		package = pkgs.nextcloud27;
		autoUpdateApps.enable = true;
		maxUploadSize = "10G";
		webfinger = true;
		caching.redis = true;
		config = {
			dbtype = "pgsql";
			dbuser = "nextcloud";
			dbhost = "/run/postgresql"; # nextcloud will add /.s.PGSQL.5432 by itself
			dbname = "nextcloud";
			defaultPhoneRegion = "DK";
			adminpassFile = builtins.toString config.secrets.files.nc_admin_pass.file;
			adminuser = "root";
		};
	};
}
