{ pkgs, ... }:
{
  services.postgresql = {
    enable = true;
    package = pkgs.postgresql_16;
    initialScript = pkgs.writeText "synapse-init.sql" ''
                      CREATE ROLE synapse;
                      CREATE DATABASE synapse WITH OWNER synapse
                          TEMPLATE template0
                          LC_COLLATE = "C"
                          LC_CTYPE = "C"
                          ENCODING = "UTF8";
    '';
    authentication = pkgs.lib.mkOverride 10 ''
        local all all trust
        host all all ::1/128 trust
    '';
  };

  services.postgresqlBackup = {
    enable = true;
    location = "/var/lib/postgresql/backup";
    databases = [ "synapse" ];
    startAt = "02:30";
    compression = "none";
  };
}
