{ lib, stdenv, fetchFromGitHub, tt-rss, ... }:

stdenv.mkDerivation rec {
	pname = "tt-rss-fever-api";
	version = "2.3.0";

	src = fetchFromGitHub {
		owner = "DigitalDJ";
		repo = "tinytinyrss-fever-plugin";
		rev = "${version}";
		sha256 = "fKHnF7pXMD04sWygoRnPH5hLUyWW4Dv/e4JWtfobX/g=";
	};

	installPhase = ''
		mkdir -p $out/fever
		cp -r fever_api.php index.php init.php $out/fever/
	'';

	meta = {
		description = "Fever API for Tiny Tiny RSS";
		longDescription = ''
			This is a plugin for Tiny Tiny RSS (tt-rss).

			It lets you use feed reader programs which interface with the Fever feed
			reader API together with Tiny Tiny RSS
		'';
		license = lib.licenses.gpl3Only;
		homepage = "https://github.com/DigitalDJ/tinytinyrss-fever-plugin";
		maintainers = [ {
			email = "amanda@graven.dev";
			name = "Amanda Graven";
			github = "agraven";
			githubId = 23525639;
		} ];
		inherit (tt-rss.meta) platforms;
	};
}
